<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Fontawesome -->

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-iBBXm8fW90+nuLcSKlbmrPcLa0OT92xO1BIsZ+ywDWZCvqsWgccV3gFoRBv0z+8dLJgyAHIhR35VZc2oM/gI1w==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">

    <!--Fonts  -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Mansalva&display=swap" 
rel="stylesheet">

<link rel="stylesheet" href="./style.css" class="style">
    <title>Frankify</title>
  </head>

  <body onmousemove="dock(event)" id="body">

    <audio id="track" src="./audio/Ghostrifter Official - Afternoon Nap.mp3"></audio>

    <div id="background"></div>
    <div id="sidebar" class="open">
        <div id="tracklist-wrapper" class="row">
            <!-- <div class="col-12">
                <div class="d-flex align-items-center justify-content-between px-4 py-2 border-b-main" > 
                     <img class="thumbnail" src="./immagini/cover-1.jpg" alt="" srcset="">
                     <div>
                          <h5 class="mb-0">Nome artista</h5>
                           <p class="mb-0">Titolo canzone</p>
                     </div>
            
                     <i  class="fas fa-play-circle fs-1 pointer"></i>
                    <i id="pause-btn" class="fas fa-pause-circle fs-1 d-none pointer"></i>

        
                </div>
            </div>

            <div class="col-12">
                <div class="d-flex align-items-center justify-content-between px-4 py-2 border-b-main track-card active " > 
                     <img class="thumbnail" src="./immagini/cover-1.jpg" alt="" srcset="">
                     <div>
                          <h5 class="mb-0">Nome artista</h5>
                           <p class="mb-0">Titolo canzone</p>
                     </div>
            
                     <i  class="fas fa-play-circle fs-1 pointer"></i>
                     <i id="pause-btn" class="fas fa-pause-circle fs-1 pointer"></i>
        
                </div>
            </div> -->
        </div>
    </div>


    <div class="player">
        <div class="header px-4 py-2 d-flex align-items-center d-flex justify-content-center">
            <h6 id="sidebar-toggler" class="tc-white mb-0 fs-1 pointer">Playlist</h6>
           
        </div>
        
        <div class="display d-flex justify-content-center align-items-center">
            
            <img id="track-cover" src="./immagini/img disco.jpg" alt="" class="src">
            <div id="volume-btn" >
                <div id="volume-bar" class="volume-bar" onmousedown="grabVolHandle(event)" onmouseup="releaseVolHandle(event)" onmouseenter="releaseVolHandle(event)" onmousemove="dragVolHandle(event)"">
                    <div id="volume-slider">
                        <div id="volume-cursor">
                            <div id="volume-cursor-handle"></div>
                        </div>
                    </div>
                </div>
                <i id = "volume-icon" class="fas fa-volume-up"></i>
           
            </div>
            

        </div>

        <div class="commands px-4 py-2 text-white ">
            <div class="row h-100 align-items-center">
                <div class="col-6">
                    <h5 id="track-artist" class="mb-0">Nome artista</h5>
                    <p id="track-title" class="mb-0">Titolo canzone</p>
                </div>
                <div class="col-6 d-flex justify-content-end align-items-center">
                    <i id="prev-btn" class="far fa-arrow-alt-circle-left fs-2 pointer"></i>

                    <i id="next-btn" class="far fa-arrow-alt-circle-right fs-2 pointer"></i>




                </div>
                <div class="col-6">
                    <i id="play-btn" class="fas fa-play-circle fs-1 pointer"></i>
                    <i id="pause-btn" class="fas fa-pause-circle fs-1 d-none pointer"></i>


                </div>
                <div class="col-6 d-flex justify-content-end align-items-center">
                    <p class="mb-0 fs-6">
                        <span id="current-time"> </span>
                        <span>/</span>
                        <span id="total-time"></span>
                        </p>
                    </div>
                    
            </div>

        </div>
    </div>

  












    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>

    <script src="./script.js"></script>
  </body>
</html>